std::poisson_distribution< _IntType > Class Template Reference
Numerics » Random Number Generation » Random Number Generators » Random Number Distributions » Uniform Distributions » Normal Distributions » Bernoulli Distributions » Poisson Distributions

## Classes

struct | param_type

## Public Types

typedef _IntType | result_type

## Public Member Functions

| poisson_distribution (const param_type &__p)
| poisson_distribution (double __mean=1.0)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
double | mean () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::poisson_distribution< _IntType1 > &__x)
bool | operator== (const poisson_distribution &__d1, const poisson_distribution &__d2)
template<typename _IntType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::poisson_distribution< _IntType1 > &__x)

## Detailed Description

### template<typename _IntType = int>
class std::poisson_distribution< _IntType >

A discrete Poisson random number distribution.

The formula for the Poisson probability density function is where is the parameter of the distribution.

Definition at line 4330 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc